Passer au contenu principal
GET
/
client
/
tracking
TrackShipmentbyTrackingId
curl --request GET \
  --url https://api.ship.uniuni.com/prod/client/tracking \
  --header 'Authorization: Bearer <token>'
{
  "message": "Tracking shipment successfully",
  "code": 0,
  "data": {
    "trackingId": "UR06250000000000351",
    "status": "RECEIVED",
    "orderNumber": "UNI05893840E",
    "recipient": {
      "fullName": "Jane Doe",
      "email": "jane@example.com"
    },
    "destination": {
      "address1": "5 Chagall Dr",
      "city": "Vaughan",
      "province": "ON",
      "postalCode": "L4J 9B2",
      "country": "Canada"
    },
    "signatureRequired": false,
    "weight": {
      "value": 1,
      "weightUnit": "LB"
    },
    "dimensions": {
      "length": 1,
      "width": 1,
      "height": 1,
      "dimensionUnit": "INCH"
    },
    "events": [
      {
        "statusCode": "RECEIVED",
        "timestamp": 1750878222724,
        "location": {
          "name": "423 Four Valley Dr",
          "lat": 43.8361,
          "lng": -79.5686
        }
      }
    ]
  }
}

Autorisations

Authorization
string
header
requis

API access token generated from the UniUni Platform dashboard.

Paramètres de requête

trackingId
string
requis

The shipment tracking ID. Must be 19 characters starting with UR (e.g. UR06250000000000351) or 19 characters starting with URB (batch tracking ID).

Pattern: ^(UR\d{17}|URB\d{16})$

Réponse

200 - application/json

Tracking info or error

message
string
requis

Additional information about the request status.

code
integer
requis

Status code. 0 indicates success.

data
object